SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001433SiT!pluginspublic2011-01-04 14:422011-07-17 13:09
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001433: Plugin hooks in incident_add.php do not work
DescriptionWhile developing a plugin that hooks into the page "incident_add.php" i found that the plugin hooks on that page do not work. The existing hooks like plugin_do('incident_created') do not work.

Even when I create a new plugin hook (context) for this page the hook does not work.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003531)
Tomse (developer)
2011-01-04 18:32

I can repro with current SVN
User avatar (0003532)
ivan (administrator)
2011-01-06 11:13

Confirmed by Tomse
User avatar (0003615)
ivan (administrator)
2011-02-18 20:48

I haven't tried to repro this yet, but looking at the code I can't see a reason for it. TRIGGER_INCIDENT_CREATED should also fire a plugin hook so might be worth trying that too and comparing result.
User avatar (0003616)
ivan (administrator)
2011-02-19 11:09

I've reproduced this now. The incident_created context doesn't work - strange.
User avatar (0003620)
ivan (administrator)
2011-02-20 14:38

Fixed in git 96389d6 and svn r6960
User avatar (0003734)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2011-01-04 14:42 nicdev New Issue
2011-01-04 18:32 Tomse Note Added: 0003531
2011-01-06 11:13 ivan Note Added: 0003532
2011-01-06 11:13 ivan Status new => confirmed
2011-02-18 17:00 nicdev Assigned To => ivan
2011-02-18 17:00 nicdev Status confirmed => assigned
2011-02-18 17:00 nicdev Target Version => 3.63 LTS
2011-02-18 20:48 ivan Note Added: 0003615
2011-02-19 11:09 ivan Note Added: 0003616
2011-02-20 14:38 ivan Note Added: 0003620
2011-02-20 14:38 ivan Status assigned => resolved
2011-02-20 14:38 ivan Fixed in Version => Current SVN
2011-02-20 14:38 ivan Resolution open => fixed
2011-04-16 15:07 ivan Note Added: 0003734
2011-04-16 15:07 ivan Status resolved => closed
2011-07-17 13:09 ivan Fixed in Version Current SVN => 3.63 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker